## org.apache.poi.hssf.record
Class CommonObjectDataSubRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.SubRecord
              org.apache.poi.hssf.record.CommonObjectDataSubRecord

public class CommonObjectDataSubRecord
extends SubRecord

The common object data record is used to store all common preferences for an excel object. NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/records/definitions.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` `OBJECT_TYPE_ARC`
`static short` `OBJECT_TYPE_BUTTON`
`static short` `OBJECT_TYPE_CHART`
`static short` `OBJECT_TYPE_CHECKBOX`
`static short` `OBJECT_TYPE_COMBO_BOX`
`static short` `OBJECT_TYPE_COMMENT`
`static short` `OBJECT_TYPE_DIALOG_BOX`
`static short` `OBJECT_TYPE_EDIT_BOX`
`static short` `OBJECT_TYPE_GROUP`
`static short` `OBJECT_TYPE_GROUP_BOX`
`static short` `OBJECT_TYPE_LABEL`
`static short` `OBJECT_TYPE_LINE`
`static short` `OBJECT_TYPE_LIST_BOX`
`static short` `OBJECT_TYPE_MICROSOFT_OFFICE_DRAWING`
`static short` `OBJECT_TYPE_OPTION_BUTTON`
`static short` `OBJECT_TYPE_OVAL`
`static short` `OBJECT_TYPE_PICTURE`
`static short` `OBJECT_TYPE_POLYGON`
`static short` `OBJECT_TYPE_RECTANGLE`
`static short` `OBJECT_TYPE_RESERVED1`
`static short` `OBJECT_TYPE_RESERVED2`
`static short` `OBJECT_TYPE_RESERVED3`
`static short` `OBJECT_TYPE_RESERVED4`
`static short` `OBJECT_TYPE_RESERVED5`
`static short` `OBJECT_TYPE_RESERVED6`
`static short` `OBJECT_TYPE_RESERVED7`
`static short` `OBJECT_TYPE_RESERVED8`
`static short` `OBJECT_TYPE_RESERVED9`
`static short` `OBJECT_TYPE_SCROLL_BAR`
`static short` `OBJECT_TYPE_SPINNER`
`static short` `OBJECT_TYPE_TEXT`
`static short` `sid`

Constructor Summary
`CommonObjectDataSubRecord()`
`CommonObjectDataSubRecord(short id, short size, byte[] data)` Constructs a CommonObjectData record and sets its fields appropriately.
`CommonObjectDataSubRecord(short id, short size, byte[] data, int offset)` Constructs a CommonObjectData record and sets its fields appropriately.

Method Summary
`java.lang.Object` `clone()`
`protected void` `fillFields(byte[] data, short size, int offset)` called by the constructor, should set class level fields.
`short` `getObjectId()` Get the object id field for the CommonObjectData record.
`short` `getObjectType()` Get the object type field for the CommonObjectData record.
`short` `getOption()` Get the option field for the CommonObjectData record.
`int` `getRecordSize()` Size of record (exluding 4 byte header)
`int` `getReserved1()` Get the reserved1 field for the CommonObjectData record.
`int` `getReserved2()` Get the reserved2 field for the CommonObjectData record.
`int` `getReserved3()` Get the reserved3 field for the CommonObjectData record.
`short` `getSid()` return the non static version of the id for this record.
`boolean` `isAutofill()` whether object uses an automatic fill style
`boolean` `isAutoline()` whether object uses an automatic line style
`boolean` `isLocked()` true if object is locked when sheet has been protected
`boolean` `isPrintable()` object appears when printed
`int` `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`void` `setAutofill(boolean value)` Sets the autofill field value.
`void` `setAutoline(boolean value)` Sets the autoline field value.
`void` `setLocked(boolean value)` Sets the locked field value.
`void` `setObjectId(short field_2_objectId)` Set the object id field for the CommonObjectData record.
`void` `setObjectType(short field_1_objectType)` Set the object type field for the CommonObjectData record.
`void` `setOption(short field_3_option)` Set the option field for the CommonObjectData record.
`void` `setPrintable(boolean value)` Sets the printable field value.
`void` `setReserved1(int field_4_reserved1)` Set the reserved1 field for the CommonObjectData record.
`void` `setReserved2(int field_5_reserved2)` Set the reserved2 field for the CommonObjectData record.
`void` `setReserved3(int field_6_reserved3)` Set the reserved3 field for the CommonObjectData record.
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)
`protected void` `validateSid(short id)` Checks the sid matches the expected side for this record

Methods inherited from class org.apache.poi.hssf.record.SubRecord
`createSubRecord`

Methods inherited from class org.apache.poi.hssf.record.Record
`fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### OBJECT_TYPE_GROUP

    public static final short OBJECT_TYPE_GROUP

See Also:
  Constant Field Values

### OBJECT_TYPE_LINE

    public static final short OBJECT_TYPE_LINE

See Also:
  Constant Field Values

### OBJECT_TYPE_RECTANGLE

    public static final short OBJECT_TYPE_RECTANGLE

See Also:
  Constant Field Values

### OBJECT_TYPE_OVAL

    public static final short OBJECT_TYPE_OVAL

See Also:
  Constant Field Values

### OBJECT_TYPE_ARC

    public static final short OBJECT_TYPE_ARC

See Also:
  Constant Field Values

### OBJECT_TYPE_CHART

    public static final short OBJECT_TYPE_CHART

See Also:
  Constant Field Values

### OBJECT_TYPE_TEXT

    public static final short OBJECT_TYPE_TEXT

See Also:
  Constant Field Values

### OBJECT_TYPE_BUTTON

    public static final short OBJECT_TYPE_BUTTON

See Also:
  Constant Field Values

### OBJECT_TYPE_PICTURE

    public static final short OBJECT_TYPE_PICTURE

See Also:
  Constant Field Values

### OBJECT_TYPE_POLYGON

    public static final short OBJECT_TYPE_POLYGON

See Also:
  Constant Field Values

### OBJECT_TYPE_RESERVED1

    public static final short OBJECT_TYPE_RESERVED1

See Also:
  Constant Field Values

### OBJECT_TYPE_CHECKBOX

    public static final short OBJECT_TYPE_CHECKBOX

See Also:
  Constant Field Values

### OBJECT_TYPE_OPTION_BUTTON

    public static final short OBJECT_TYPE_OPTION_BUTTON

See Also:
  Constant Field Values

### OBJECT_TYPE_EDIT_BOX

    public static final short OBJECT_TYPE_EDIT_BOX

See Also:
  Constant Field Values

### OBJECT_TYPE_LABEL

    public static final short OBJECT_TYPE_LABEL

See Also:
  Constant Field Values

### OBJECT_TYPE_DIALOG_BOX

    public static final short OBJECT_TYPE_DIALOG_BOX

See Also:
  Constant Field Values

### OBJECT_TYPE_SPINNER

    public static final short OBJECT_TYPE_SPINNER

See Also:
  Constant Field Values

### OBJECT_TYPE_SCROLL_BAR

    public static final short OBJECT_TYPE_SCROLL_BAR

See Also:
  Constant Field Values

### OBJECT_TYPE_LIST_BOX

    public static final short OBJECT_TYPE_LIST_BOX

See Also:
  Constant Field Values

### OBJECT_TYPE_GROUP_BOX

    public static final short OBJECT_TYPE_GROUP_BOX

See Also:
  Constant Field Values

### OBJECT_TYPE_COMBO_BOX

    public static final short OBJECT_TYPE_COMBO_BOX

See Also:
  Constant Field Values

### OBJECT_TYPE_RESERVED2

    public static final short OBJECT_TYPE_RESERVED2

See Also:
  Constant Field Values

### OBJECT_TYPE_RESERVED3

    public static final short OBJECT_TYPE_RESERVED3

See Also:
  Constant Field Values

### OBJECT_TYPE_RESERVED4

    public static final short OBJECT_TYPE_RESERVED4

See Also:
  Constant Field Values

### OBJECT_TYPE_RESERVED5

    public static final short OBJECT_TYPE_RESERVED5

See Also:
  Constant Field Values

### OBJECT_TYPE_COMMENT

    public static final short OBJECT_TYPE_COMMENT

See Also:
  Constant Field Values

### OBJECT_TYPE_RESERVED6

    public static final short OBJECT_TYPE_RESERVED6

See Also:
  Constant Field Values

### OBJECT_TYPE_RESERVED7

    public static final short OBJECT_TYPE_RESERVED7

See Also:
  Constant Field Values

### OBJECT_TYPE_RESERVED8

    public static final short OBJECT_TYPE_RESERVED8

See Also:
  Constant Field Values

### OBJECT_TYPE_RESERVED9

    public static final short OBJECT_TYPE_RESERVED9

See Also:
  Constant Field Values

### OBJECT_TYPE_MICROSOFT_OFFICE_DRAWING

    public static final short OBJECT_TYPE_MICROSOFT_OFFICE_DRAWING

See Also:
  Constant Field Values

Constructor Detail

### CommonObjectDataSubRecord

    public CommonObjectDataSubRecord()

### CommonObjectDataSubRecord

    public CommonObjectDataSubRecord(short id,
                                     short size,
                                     byte[] data)

  Constructs a CommonObjectData record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x15 or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)

### CommonObjectDataSubRecord

    public CommonObjectDataSubRecord(short id,
                                     short size,
                                     byte[] data,
                                     int offset)

  Constructs a CommonObjectData record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x15 or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)
  `offset` - of the record's data

Method Detail

### validateSid

    protected void validateSid(short id)

  Checks the sid matches the expected side for this record

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - the expected sid.

### fillFields

    protected void fillFields(byte[] data,
                              short size,
                              int offset)

  Description copied from class: `Record`
  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `Record`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public int getRecordSize()

  Size of record (exluding 4 byte header)

  Overrides:
    `getRecordSize` in class `Record`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getObjectType

    public short getObjectType()

  Get the object type field for the CommonObjectData record.

  Returns:
    One of OBJECT_TYPE_GROUP OBJECT_TYPE_LINE OBJECT_TYPE_RECTANGLE OBJECT_TYPE_OVAL OBJECT_TYPE_ARC OBJECT_TYPE_CHART OBJECT_TYPE_TEXT OBJECT_TYPE_BUTTON OBJECT_TYPE_PICTURE OBJECT_TYPE_POLYGON OBJECT_TYPE_RESERVED1 OBJECT_TYPE_CHECKBOX OBJECT_TYPE_OPTION_BUTTON OBJECT_TYPE_EDIT_BOX OBJECT_TYPE_LABEL OBJECT_TYPE_DIALOG_BOX OBJECT_TYPE_SPINNER OBJECT_TYPE_SCROLL_BAR OBJECT_TYPE_LIST_BOX OBJECT_TYPE_GROUP_BOX OBJECT_TYPE_COMBO_BOX OBJECT_TYPE_RESERVED2 OBJECT_TYPE_RESERVED3 OBJECT_TYPE_RESERVED4 OBJECT_TYPE_RESERVED5 OBJECT_TYPE_COMMENT OBJECT_TYPE_RESERVED6 OBJECT_TYPE_RESERVED7 OBJECT_TYPE_RESERVED8 OBJECT_TYPE_RESERVED9 OBJECT_TYPE_MICROSOFT_OFFICE_DRAWING

### setObjectType

    public void setObjectType(short field_1_objectType)

  Set the object type field for the CommonObjectData record.

  Parameters:
    `field_1_objectType` - One of OBJECT_TYPE_GROUP OBJECT_TYPE_LINE OBJECT_TYPE_RECTANGLE OBJECT_TYPE_OVAL OBJECT_TYPE_ARC OBJECT_TYPE_CHART OBJECT_TYPE_TEXT OBJECT_TYPE_BUTTON OBJECT_TYPE_PICTURE OBJECT_TYPE_POLYGON OBJECT_TYPE_RESERVED1 OBJECT_TYPE_CHECKBOX OBJECT_TYPE_OPTION_BUTTON OBJECT_TYPE_EDIT_BOX OBJECT_TYPE_LABEL OBJECT_TYPE_DIALOG_BOX OBJECT_TYPE_SPINNER OBJECT_TYPE_SCROLL_BAR OBJECT_TYPE_LIST_BOX OBJECT_TYPE_GROUP_BOX OBJECT_TYPE_COMBO_BOX OBJECT_TYPE_RESERVED2 OBJECT_TYPE_RESERVED3 OBJECT_TYPE_RESERVED4 OBJECT_TYPE_RESERVED5 OBJECT_TYPE_COMMENT OBJECT_TYPE_RESERVED6 OBJECT_TYPE_RESERVED7 OBJECT_TYPE_RESERVED8 OBJECT_TYPE_RESERVED9 OBJECT_TYPE_MICROSOFT_OFFICE_DRAWING

### getObjectId

    public short getObjectId()

  Get the object id field for the CommonObjectData record.

### setObjectId

    public void setObjectId(short field_2_objectId)

  Set the object id field for the CommonObjectData record.

### getOption

    public short getOption()

  Get the option field for the CommonObjectData record.

### setOption

    public void setOption(short field_3_option)

  Set the option field for the CommonObjectData record.

### getReserved1

    public int getReserved1()

  Get the reserved1 field for the CommonObjectData record.

### setReserved1

    public void setReserved1(int field_4_reserved1)

  Set the reserved1 field for the CommonObjectData record.

### getReserved2

    public int getReserved2()

  Get the reserved2 field for the CommonObjectData record.

### setReserved2

    public void setReserved2(int field_5_reserved2)

  Set the reserved2 field for the CommonObjectData record.

### getReserved3

    public int getReserved3()

  Get the reserved3 field for the CommonObjectData record.

### setReserved3

    public void setReserved3(int field_6_reserved3)

  Set the reserved3 field for the CommonObjectData record.

### setLocked

    public void setLocked(boolean value)

  Sets the locked field value. true if object is locked when sheet has been protected

### isLocked

    public boolean isLocked()

  true if object is locked when sheet has been protected

  Returns:
    the locked field value.

### setPrintable

    public void setPrintable(boolean value)

  Sets the printable field value. object appears when printed

### isPrintable

    public boolean isPrintable()

  object appears when printed

  Returns:
    the printable field value.

### setAutofill

    public void setAutofill(boolean value)

  Sets the autofill field value. whether object uses an automatic fill style

### isAutofill

    public boolean isAutofill()

  whether object uses an automatic fill style

  Returns:
    the autofill field value.

### setAutoline

    public void setAutoline(boolean value)

  Sets the autoline field value. whether object uses an automatic line style

### isAutoline

    public boolean isAutoline()

  whether object uses an automatic line style

  Returns:
    the autoline field value.

Copyright © 2003 Apache Software Foundation.